SAP Features Hub
All operations require authentication.
List pre-installation tasksProduction
Returns the pre-installation tasks of the service and their status.
Path parameters
Domain of the service
Query parameters
Filter resources on IAM tags
Response
Describes the type of SAP application that is being installed as part of the pre-installation tasks.
ABAPJAVADescribes the specific version of the SAP application that is being installed during the pre-installation process.
Provides the current status of the clean-up operations performed as part of the pre-installation tasks.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSDescribes the type of deployment strategy being used for the SAP installation during the pre-installation process.
DistributedHigh-AvailabilityStandardRecords the date and time when the pre-installation tasks were finished.
Contains a detailed error message if any issues or failures occurred during the execution of the pre-installation tasks.
Provides the current operational state of the Gateway component during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSIAM resource metadata
Provides the current operational state of the SAP HANA installation during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSDescribes the System ID (SID) assigned to the SAP HANA instance being installed as part of the pre-installation tasks.
Describes the System ID (SID) assigned to the SAP system being installed as part of the pre-installation tasks.
Provides the current operational state of the SAP system installation during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSRecords the date and time when the pre-installation tasks were initiated.
Provides an overview of the current overall status of the pre-installation tasks.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSUniquely identifies each set of pre-installation tasks.
Provides the current operational state of virtual machines deployment during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ sap \
-H "authorization: Bearer $OVH_TOKEN"[ { "applicationType": "ABAP", "applicationVersion": "string", "cleanStatus": "FAILURE", "deploymentType": "Distributed", "endTime": "string", "errorMessage": "string", "gatewayStatus": "FAILURE", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "sapHanaInstallationStatus": "FAILURE", "sapHanaSid": "string", "sapSid": "string", "sapSystemInstallationStatus": "FAILURE", "startTime": "string", "status": "FAILURE", "taskId": "00000000-0000-0000-0000-000000000000", "vmDeploymentStatus": "FAILURE" }]
Get a pre-installation taskProduction
Returns the status of the task and of each step, from virtual machine deployment to SAP installation, with an error message if a step fails.
Path parameters
Domain of the service
Task ID
Response
Describes the type of SAP application that is being installed as part of the pre-installation tasks.
ABAPJAVADescribes the specific version of the SAP application that is being installed during the pre-installation process.
Provides the current status of the clean-up operations performed as part of the pre-installation tasks.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSDescribes the type of deployment strategy being used for the SAP installation during the pre-installation process.
DistributedHigh-AvailabilityStandardRecords the date and time when the pre-installation tasks were finished.
Contains a detailed error message if any issues or failures occurred during the execution of the pre-installation tasks.
Provides the current operational state of the Gateway component during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSIAM resource metadata
Provides the current operational state of the SAP HANA installation during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSDescribes the System ID (SID) assigned to the SAP HANA instance being installed as part of the pre-installation tasks.
Describes the System ID (SID) assigned to the SAP system being installed as part of the pre-installation tasks.
Provides the current operational state of the SAP system installation during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSRecords the date and time when the pre-installation tasks were initiated.
Provides an overview of the current overall status of the pre-installation tasks.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSUniquely identifies each set of pre-installation tasks.
Provides the current operational state of virtual machines deployment during the pre-installation process.
FAILUREPENDINGRETRYREVOKEDSTARTEDSUCCESSExample uses serviceName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ sap/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "applicationType": "ABAP", "applicationVersion": "string", "cleanStatus": "FAILURE", "deploymentType": "Distributed", "endTime": "string", "errorMessage": "string", "gatewayStatus": "FAILURE", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "sapHanaInstallationStatus": "FAILURE", "sapHanaSid": "string", "sapSid": "string", "sapSystemInstallationStatus": "FAILURE", "startTime": "string", "status": "FAILURE", "taskId": "00000000-0000-0000-0000-000000000000", "vmDeploymentStatus": "FAILURE"}
Create a pre-installation taskProduction
Starts a task that deploys the SAP HANA and application server virtual machines in a datacenter of the service, then installs SAP HANA and the SAP system. Only one task can run at a time on the service. To check the parameters without starting a task, use the validate endpoint.
Path parameters
Domain of the service
Request body (required)
An array containing the configuration details for each SAP Application Server (such as SCS, ERS, PAS, AAS) virtual machine that will be deployed.
Selects the type of SAP application that will be installed, such as NetWeaver 7.50 or S/4HANA.
ABAPJAVASelects the specific version of the SAP application that will be deployed.
NetWeaver 7.50S/4HANA 2021S/4HANA 2022S/4HANA 2023Configuration settings for the storage bucket used by the OVHcloud Backint Agent to store SAP HANA backup files.
Configuration settings for the storage bucket that contains the necessary SAP installation sources.
A user-defined name for the cluster that will host the SAP environment, usually 'Cluster1'.
The unique identifier for the datacenter where the SAP environment will be deployed.
Selects the type of SAP deployment, such as Standard, Distributed or High-Availability.
DistributedHigh-AvailabilityStandardThe fully qualified domain name (FQDN) that will be used for the SAP environment.
Configuration settings for the firewall to protect the SAP environment.
An array containing the configuration details for each SAP HANA virtual machine that will be deployed.
Configuration settings for the Logs Data Platform that will be used to collect and externalize operating system and SAP logs.
The license key or identifier for the operating system that will be used for the SAP environment.
A boolean value indicating whether the operating system should be updated during the pre-installation process.
Configuration settings for the various passwords required for the SAP environment, including database, administrator, and service accounts.
The name of the Hosted Private Cloud service. This field is primarily used by the OVHcloud Manager during the import process.
Configuration settings for the System IDs (SIDs) that will be used for the SAP environment.
Selects the intended usage of the SAP system, such as custom, development, production or test.
customdevelopmentproductiontestResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ sap \
-H "authorization: Bearer $OVH_TOKEN""00000000-0000-0000-0000-000000000000"
Delete a pre-installation taskProduction
Deletes the task. The virtual machines it deployed are kept.
Path parameters
Domain of the service
Task ID
Response
Example uses serviceName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicatedCloud/ {serviceName}/ sap/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"